%define    svn_revision 760818

Name:           kaudiocreator
Version:        1.2
Release:        0.1.%{svn_revision}%{?dist}
Summary:        Audio ripper

Group:          Applications/Multimedia
# FIXME/TODO: check license
License:        GPLv2
URL:            http://extragear.kde.org
# SVN checkout:
# svn export svn://anonsvn.kde.org/home/kde/trunk/extragear/multimedia/kaudiocreator kaudiocreator
# mv kaudiocreator kaudiocreator-%{svn_revision}
# tar cjf kaudiocreator-%{svn_revision}.tar.bz2 kaudiocreator-%{svn_revision}
Source0:        kaudiocreator-%{svn_revision}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  kdemultimedia-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
Audio ripper

%prep
%setup -qn kaudiocreator-%{svn_revision}


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC TODO
%{_kde4_bindir}/kaudiocreator
%{_kde4_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde4_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde4_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde4_iconsdir}/hicolor/*/apps/kaudiocreator.png
%{_kde4_appsdir}/kaudiocreator/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_datadir}/kde4/services/*

%changelog
* Sun Jan 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.760818
- svn revision 760818

* Sat Jan 05 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.757800
- svn revision 757800

* Wed Dec 12 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.2-0.1.747562
- Initial version kaudiocreator from extragear for KDE4
